@echo off
setlocal
set SCRIPT=itsoclusterqmsetup %1 %2 %3 %4 %5
call itsoenvsetup
rem #
rem # itsoclusterqmsetup <QMName> <ClusterName> <HostName> <Port> [<Repository>yes/no]
rem # parameters:
rem # <QMName>  	- Queue Manager Name
rem # <ClusterName>	- Cluster Name
rem # <HostName>	- Host on which Queue Manager is to run
rem # <Port>		- Port on which Queue Manager listener runs
rem # <Repository>	- (optional) set to yes if QM is to act as a Cluster Repository
rem #
rem # cluster repositories are enabled for remote configuration
rem #
echo *** START: %SCRIPT% ***
echo About to create Queue Manager "%1" on cluster "%2" and start the Queue Manager.
echo The dead letter queue will be set to "SYSTEM.DEAD.LETTER.QUEUE"
echo A cluster-receiver channel will be configured, called "TO.%1"
if @%5@ == @yes@ echo The Queue Manager will be a full repository for cluster "%2".
if @%5@ == @yes@ echo Remote administration will be enabled.
if not @%5@ == @yes@ echo Remote administration will NOT be enabled.
echo A listener will be started on Port %4.
if not @%PAUSE_AT_EACH_STEP%@ == @no@ pause
rem #
rem # here we go...
crtmqm %1
call itsoclusterqmstart %1 %2 %3 %4
echo alter qmgr deadq(SYSTEM.DEAD.LETTER.QUEUE) > %1.mqsc
echo def chl(TO.%1) chltype(CLUSRCVR) trptype(TCP) conname('%3(%4)') cluster(%2) >> %1.mqsc
if @%5@ == @yes@ echo alter qmgr repos(%2) >> %1.mqsc
if @%5@ == @yes@ echo def chl(SYSTEM.ADMIN.SVRCONN) chltype(SVRCONN) >> %1.mqsc
runmqsc %1 < %1.mqsc
del %1.mqsc
call itsoclusterqmstop %1
if not @%PAUSE_AT_EACH_STEP%@ == @no@ pause
echo ***   END: %SCRIPT% ***
endlocal